---
title: 更新 API 金鑰 | RunAPI
description: 更新現有的標準 API 金鑰並取得其目前的使用量摘要。
url: https://runapi.ai/zh-TW/docs/api/management/keys/update.md
canonical: https://runapi.ai/zh-TW/docs/api/management/keys/update
locale: zh-TW
---

> HTML 版本: https://runapi.ai/zh-TW/docs/api/management/keys/update
> 代理程式網站索引: https://runapi.ai/llms.txt

# 更新 API 金鑰

更新現有的標準 API 金鑰並取得其目前的使用量摘要。

## 端點

PATCH /api/v1/keys/:id

基礎 URL: https://runapi.ai

API 版本: v1

身分驗證: Authorization: Bearer YOUR_MANAGEMENT_API_KEY


授權: 需要帳戶管理員等級的 Management API 金鑰，且僅允許操作其使用者所擁有的金鑰。

## 請求

僅在列出的請求位置中傳送值。

### JSON 主體

```json
{
  "allowed_models": {
    "description": "替換用的模型允許清單；null 或空陣列將清除清單。",
    "required": false,
    "type": "array | null"
  },
  "credit_limit_cents": {
    "description": "支出上限（以美分計）；設為 null 可清除上限及重設間隔。",
    "required": false,
    "type": "integer | null"
  },
  "credit_limit_reset_interval": {
    "description": "消費上限的重置週期。",
    "enum": [
      "daily",
      "weekly",
      "monthly"
    ],
    "required": false,
    "type": "string | null"
  },
  "credit_limit_windows": {
    "description": "以 1h、1d 或 7d 為索引鍵的替換滾動消費上限；空物件會清除所有滾動上限。",
    "required": false,
    "type": "object"
  },
  "enabled": {
    "description": "使用此金鑰的請求是否被接受。",
    "required": false,
    "type": "boolean"
  },
  "name": {
    "description": "替換用的 API 金鑰易記名稱。",
    "required": false,
    "type": "string"
  }
}
```

### 路徑參數

```json
{
  "id": {
    "description": "API 金鑰前綴 ID，例如 token_123。",
    "required": true,
    "type": "string"
  }
}
```

## 成功回應

HTTP 200 - PATCH /api/v1/keys/:id

```json
{
  "allowed_models": [
    "gpt-5.4"
  ],
  "created_at": "2026-07-27T10:00:00.000Z",
  "credit_limit_cents": 1000,
  "credit_limit_reset_interval": "daily",
  "credit_limit_windows": {},
  "credit_usage_cents_by_model": {
    "gpt-5.4": 250
  },
  "credit_usage_cents_this_month": 250,
  "credit_usage_cents_this_week": 100,
  "credit_usage_cents_today": 25,
  "credit_usage_cents_total": 250,
  "enabled": true,
  "guardrail_id": "guardrail_123",
  "id": "token_123",
  "last_used_at": null,
  "masked_token": "runapi_abc...wxyz",
  "name": "Production primary"
}
```

## 錯誤回應 (401)

HTTP 401

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Authentication required"
}
```

## 錯誤回應 (403)

HTTP 403

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Management API key required"
}
```

## 錯誤回應 (403)

HTTP 403

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Account admin required"
}
```

## 錯誤回應 (400)

HTTP 400

### 回應綱要

```json
{
  "oneOf": [
    {
      "properties": {
        "error": {
          "description": "人類可讀的錯誤訊息。",
          "type": "string"
        }
      },
      "required": [
        "error"
      ],
      "type": "object",
      "unevaluatedProperties": false
    },
    {
      "properties": {
        "error": {
          "description": "人類可讀的驗證摘要。",
          "type": "string"
        },
        "errors": {
          "additionalProperties": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "description": "以公開請求欄位為索引鍵的驗證訊息，每個欄位包含一組人類可讀的字串陣列。",
          "type": "object"
        }
      },
      "required": [
        "error",
        "errors"
      ],
      "type": "object",
      "unevaluatedProperties": false
    }
  ]
}
```

### 回應範例

```json
{
  "error": "page must be an integer"
}
```

## 錯誤回應 (404)

HTTP 404

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的錯誤訊息。",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Resource not found"
}
```

## 錯誤回應 (422)

HTTP 422

### 回應綱要

```json
{
  "properties": {
    "error": {
      "description": "人類可讀的驗證摘要。",
      "type": "string"
    },
    "errors": {
      "additionalProperties": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "description": "以公開請求欄位為索引鍵的驗證訊息，每個欄位包含一組人類可讀的字串陣列。",
      "type": "object"
    }
  },
  "required": [
    "error",
    "errors"
  ],
  "type": "object",
  "unevaluatedProperties": false
}
```

### 回應範例

```json
{
  "error": "Validation failed",
  "errors": {
    "base": [
      "Validation failed"
    ]
  }
}
```

## cURL 範例



### curl

```curl
curl -X PATCH https://runapi.ai/api/v1/keys/token_123 \
  -H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"name":"Production primary","enabled":true,"credit_limit_windows":{}}'
```

## 相關參考資料

- [API 金鑰](https://runapi.ai/zh-TW/docs/api/management/keys.md)
- [API Key 物件](https://runapi.ai/zh-TW/docs/api/management/keys/object.md)

---

## RunAPI 的更多內容

- [首頁](https://runapi.ai/zh-TW/.md)
- [模型目錄](https://runapi.ai/zh-TW/models.md)
- [價格](https://runapi.ai/zh-TW/pricing.md)
- [提供商](https://runapi.ai/zh-TW/models)
- [文件](https://runapi.ai/zh-TW/docs/guides)
- [SDK](https://runapi.ai/zh-TW/sdk.md)
- [CLI](https://runapi.ai/zh-TW/cli.md)
- [MCP Server](https://runapi.ai/zh-TW/mcp.md)
- [Claude Code 與 Cursor](https://runapi.ai/zh-TW/claude-code-vs-cursor.md)
- [Cursor API 設定](https://runapi.ai/zh-TW/cursor-api-setup.md)
- [RunAPI 與 OpenRouter](https://runapi.ai/zh-TW/openrouter-alternative.md)
- [企業版](https://runapi.ai/zh-TW/contact.md)
- [聯絡我們](https://runapi.ai/zh-TW/contact.md)
- [服務條款](https://runapi.ai/zh-TW/terms.md)
- [隱私權](https://runapi.ai/zh-TW/privacy.md)
- [代理程式網站索引](https://runapi.ai/llms.txt)

聯絡我們: contact@runapi.ai

## 結構化資料

```json
[
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-TW",
    "@type": "WebSite",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-TW",
    "potentialAction": {
      "@type": "SearchAction",
      "target": {
        "@type": "EntryPoint",
        "urlTemplate": "https://runapi.ai/zh-TW/models?q={search_term_string}"
      },
      "query-input": "required name=search_term_string"
    }
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-TW",
    "@type": "Organization",
    "name": "RunAPI",
    "url": "https://runapi.ai/zh-TW",
    "logo": {
      "@type": "ImageObject",
      "url": "https://runapi.ai/zh-TWicon.svg"
    },
    "sameAs": [
      "https://github.com/runapi-ai"
    ]
  },
  {
    "@context": "https://schema.org",
    "inLanguage": "zh-TW",
    "@type": "TechArticle",
    "headline": "更新 API 金鑰",
    "description": "更新現有的標準 API 金鑰並取得其目前的使用量摘要。",
    "url": "https://runapi.ai/zh-TW/docs/api/management/keys/update",
    "mainEntityOfPage": "https://runapi.ai/zh-TW/docs/api/management/keys/update"
  }
]
```
